##########################################################################
# Licensed Materials - Property of IBM
# 5724-D33
# IBM Tivoli License Manager
#
# (C) Copyright IBM Corp. 2006.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##########################################################################

##########################################################################
# Variables
##########################################################################
JAVA_BIN=/usr/local/java/IBMJava2-141/bin/
DB2_JARS_HOME=/opt/IBM/db2/V8.1/java
PREPROC_JAR=/home/db2inst1/2.3/
TRACE_FILE=/home/db2inst1/2.3/preextractor/preproc.log
CONF_DIR=/home/db2inst1/2.3/preextractor/

##########################################################################
# Classpath
##########################################################################
CLASSPATH=$DB2_JARS_HOME/db2jcc.jar
CLASSPATH=$CLASSPATH:$DB2_JARS_HOME/db2jcc_license_cu.jar

$JAVA_BIN/java -Xmx1500M -DconfDir1=$CONF_DIR -classpath $CLASSPATH -jar $PREPROC_JAR/preProcessor.jar >& $TRACE_FILE
return $?